Checkly changelog
Checkly changelog
checklyhq.com

Run the latest Playwright, Puppeteer and Node with Versioned Runtimes

 

New

 

 

You can now upgrade your JavaScript-powered checks to the latest and greatest Playwright versions, Node.js version and other dependencies with just one click on the new "Runtimes" tab!

image.png

This feature give you full control over when and how you want to update all Javascript functionality for your Browser checks the setup & teardown scripts for API checks.

To kick it off, we shipped a new runtime named 2021.06 which includes

  • Playwright 1.12.2
  • Puppeteer 10.0.0
  • Node.js 14.x

We plan to release a new runtime every quarter with new major and minor versions of the supported packages.

If you want to test the waters a bit before flipping your whole account to a new runtime, you can override just for a single check or a groups of checks.

Read more about how to use versioned runtimes in our docs

P.S. you can also manage your runtimes through our public API and with our Terraform provider in the latest release candidate.